#!/usr/bin/env python
# -*- coding: utf-8 -*-

from builtins import object
import time

from pynamodb.attributes import NumberAttribute, UnicodeAttribute

from db_paribhasha import PynamoBaseModel, credentials


class ExportWorkflow(PynamoBaseModel):
    """
    Dynamo DB model for Import Workflows.
    An import ID corresponds to one import by a user in an organization.
    """

    class Meta(object):
        table_name = credentials.DYNAMO_EXPORT_WF_TABLE
        region = credentials.DYNAMO_REGION

    org_id = NumberAttribute(hash_key=True)
    user_email = UnicodeAttribute(null=False)
    created_ts = NumberAttribute(
        null=False, default=int(round(time.time() * 1000)))
    calculated_id = UnicodeAttribute(range_key=True)
    modified_ts = NumberAttribute(
        null=False, default=int(round(time.time() * 1000)))
    state = UnicodeAttribute(null=False, default='init')
    export_adapter_id = UnicodeAttribute(null=False)
    run_id = NumberAttribute(null=False)
