#!/usr/bin/env python
# -*- coding: utf-8 -*-
import time
from pynamodb.attributes import NumberAttribute,\
    JSONAttribute, UnicodeAttribute

from db_paribhasha import credentials, PynamoBaseModel 

class IterationMetadata(PynamoBaseModel):
    """
    Dynamo DB model for Iteration Metadata.
    Model is created using pynamoDB library.
    """

    class Meta(object):
        table_name = credentials.DYNAMO_ITERATION_METADATA_TABLE
        region = credentials.DYNAMO_REGION

    iter_id = UnicodeAttribute(hash_key=True)
    calculated_id = UnicodeAttribute(range_key=True)
    created_ts = NumberAttribute(
        null=False, default=int(round(time.time() * 1000)))
    status = UnicodeAttribute(null=False)
    modified_ts = NumberAttribute(
        null=False, default=int(round(time.time() * 1000)))
    algo_name = UnicodeAttribute(null=False)
    parent_type = UnicodeAttribute(null=False)
    parent_id = UnicodeAttribute(null=False)
